/* CTL_Editor_Static window*/
/**/
/* YB*/
/*///////////////////////////////////////////////////////////////////////////*/
#ifndef _CTL_STATIC_CONTROL_
#define _CTL_STATIC_CONTROL_
 
#if _MSC_VER >= 1000
#pragma once
#endif /* _MSC_VER >= 1000*/
 
#include "ACP_Base.h"
 
#include "CTL\Others\CTL_ClBk.hpp"
#include "CTL\Others\CTL_Enum.hpp"
#include "CTL\WControls\CTL_BWC.hpp"
 
class CTL_Editor_Control;
 
/*############################################################################*/
typedef enum CTL_eStaticType
{
	CTL_STATIC_TYPE__FIELD_NAME = 0,
	CTL_STATIC_TYPE__FIELD_VALUE,
	CTL_STATIC_TYPE__NEUTRAL_FIELD,
 
	CTL_STATIC_TYPE__USE_USER_DEFINED,
 
} CTL_tdeStaticType;
 
/*############################################################################*/
class CPA_EXPORT CTL_Editor_Static :	public CStatic,
																			public CTL_BaseWindowsControl
{
 
DECLARE_DYNAMIC(CTL_Editor_Static)
 
/* Construction*/
public:
	CTL_Editor_Static(CString _csName,
										CTL_tdeStaticType _tdeType,
										long _lAdditionnalStyles,
										CTL_Editor_Control *_pclParentControl,
										CWnd *_pclParentWnd, 
										long _lUserDefinedType = 0,
										long _lUserDefinedCode = 0);
 
/* Attributes*/
public:
 
private:
	CTL_tdeStaticType m_pri_tdeType;
 
	COLORREF m_pri_colBackGroundColor;
	COLORREF m_pri_colTextColor;
 
	CString m_csTextToDisplay;
 
	CTL_td_p_fn_vStaticHasBeenClicked m_pri_p_fnStaticHasBeenClicked_CallBack;
	CTL_tdp_fn_vGetColor m_pri_td_p_fn_vGetColor;
 
/* Operations*/
public:
	void m_fn_vSetTextToDisplay(CString,
															BOOL _bMustRefresDisplay = FALSE);
 
/* Overrides*/
	/* ClassWizard generated virtual function overrides*/
	/*{{AFX_VIRTUAL(CTL_Editor_Static)*/
	/*}}AFX_VIRTUAL*/
 
/* Implementation*/
public:
	virtual ~CTL_Editor_Static();
 
	long m_fn_lGetMinLength();
 
	CTL_tdeStaticType m_pub_fn_tdeGetType();
 
	CString m_pub_fn_csGetDisplayedString();
 
	COLORREF m_pub_fn_colGetBackGroundColor();
	void m_pub_fn_vSetBackGroundColor(COLORREF _colNewColor,
																		BOOL _bMustRefresDisplay = FALSE);
	COLORREF m_pub_fn_colGetTextColor();
	void m_pub_fn_vSetTextColor(COLORREF _colNewColor,
															BOOL _bMustRefresDisplay = FALSE);
	
	void m_pub_fn_vSetStaticHasBeenClicked_CallBack(CTL_td_p_fn_vStaticHasBeenClicked _p_fnStaticHasBeenClicked_CallBack);
	void m_pub_fn_v_SetColRefGetColor_CallBack(CTL_tdp_fn_vGetColor _p_fn_CallBack);
 
	/*For TUT registration*/
	virtual void m_pub_fn_vRegisterWindowsControl(CString _csAdditionnalInfo);
 
	/* Generated message map functions*/
protected:
	/*{{AFX_MSG(CTL_Editor_Static)*/
	afx_msg void OnRButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnLButtonDblClk(UINT nFlags, CPoint point);
	afx_msg void OnPaint();
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
/*ANNECY CB*/
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
/*END ANNECY*/
	/*}}AFX_MSG*/
 
	DECLARE_MESSAGE_MAP()
 
friend class EdActors_ActorsView;
};
 
/*///////////////////////////////////////////////////////////////////////////*/
#endif /*_CTL_STATIC_CONTROL_*/
 
